### Parameters

`Domain : S`

### Signature

`type astate``= Domain.astate Types.top_lifted```
`include WithTop with type astate := astate`
`include S`
`type astate`````
`val (<=) : lhs:astate ‑> rhs:astate ‑> bool`

the partial order induced by join

`val join : astate ‑> astate ‑> astate`
`val widen : prev:astate ‑> next:astate ‑> num_iters:int ‑> astate`
`val pp : F.formatter ‑> astate ‑> unit`
`val top : astate`